httpd-bugs mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
Subject [Bug 54515] New: httpd 2.4 .htaccess and auto_prepend_file
Date Fri, 01 Feb 2013 03:45:50 GMT

            Bug ID: 54515
           Summary: httpd 2.4 .htaccess and auto_prepend_file
           Product: Apache httpd-2
           Version: 2.4.3
          Hardware: PC
            Status: NEW
          Severity: normal
          Priority: P2
         Component: Other Modules
    Classification: Unclassified

When running 2.4.3, .htaccess files containing an auto_prepend_file for PHP
don't seem to cause anything to be prepended.

It works on 2.2.23 with both PHP 5.3 and 5.4.
It does not work at all with 2.4.3 with either PHP 5.3 or 5.4.

I don't think it's a PHP issue because the version of PHP doesn't make a
difference.  Only the change from 2.2.23 to 2.4.3 makes a difference.

The entire content of the .htaccess file is similar to this:
php_value auto_prepend_file C:/apache2/html/special/canaccess.php

I've tried everything I can think of to make it work.  As a test, I introduced
a  deliberate parse error in canaccess.php (error*space*_reporting(6143);) and
nothing happened with 2.4.3.  With 2.2.23, it generated an error.

You are receiving this mail because:
You are the assignee for the bug.

To unsubscribe, e-mail:
For additional commands, e-mail:

View raw message